export enum BatchBillCheckStatus {
  /**批单待审核 */
  WaitCheck = 1,
  /**批单审核中 */
  Checking = 2,
  /**已生效 */
  InValidate = 10,
  /**批单待支付 */
  WaitPay = 15,
  /**超期未支付 */
  ExpirePay = 20,
  /**支付成功 */
  PaySuccess = 30,
  /**审核不通过 */
  CheckTurnDown = -1,
  /**待退费 */
  WaitForRefund = -10,
  /**已退费 */
  HasRefund = -11,
  /**已撤回 */
  HasReverse = -20,
  /**已删除 */
  HasDeleted = -30,
  /**下发修改 */
  WaitForModify = -40,
}

export const BatchBillCheckStatusText = {
  [BatchBillCheckStatus.WaitCheck]: '待审核',
  [BatchBillCheckStatus.Checking]: '审核中',
  [BatchBillCheckStatus.InValidate]: '已生效',
  [BatchBillCheckStatus.WaitPay]: '待支付',
  [BatchBillCheckStatus.ExpirePay]: '超期未支付',
  // [BatchBillCheckStatus.PaySuccess]: '支付成功',
  [BatchBillCheckStatus.CheckTurnDown]: '不通过',
  [BatchBillCheckStatus.WaitForRefund]: '待退费',
  [BatchBillCheckStatus.HasRefund]: '已退费',
  [BatchBillCheckStatus.HasReverse]: '已撤回',
  [BatchBillCheckStatus.HasDeleted]: '已删除',
  [BatchBillCheckStatus.WaitForModify]: '下发修改',
};

export enum BatchChangeTypeEnum {
  /**批增 */
  Add = 10,
  /**批减 */
  Delete = 20,
  /**替换 */
  Update = 30,
  /**加减人 */
  AddAndSub = 40,
}

export const BatchChangeTypeEnumText = {
  [BatchChangeTypeEnum.Add]: '批增',
  [BatchChangeTypeEnum.Delete]: '批减',
  [BatchChangeTypeEnum.Update]: '替换',
  [BatchChangeTypeEnum.AddAndSub]: '加减人',
};
